## org.eclipse.jst.jsf.context.resolver.structureddocument
Interface IWorkspaceContextResolver

All Superinterfaces:
  IContextResolver, IDocumentContextResolver

    public interface IWorkspaceContextResolver

extends IDocumentContextResolver

A resolver to determine the current context within the Eclipse workspace. This interface may be sub-classed or implemented by clients

Method Summary
`IProject` `getProject()`
`IResource` `getResource()`

Methods inherited from interface org.eclipse.jst.jsf.context.resolver.IContextResolver
`canResolveContext`

Method Detail

### getProject

    IProject getProject()

  Returns:
    the project that contains the document context or null if it cannot be determined

### getResource

    IResource getResource()

  Returns:
    the resource that contains the document context or null if it cannot be determined. This should normally be an IFile.